<?php

declare(strict_types=1);

use Rector\Config\RectorConfig;
use Rector\Php74\Rector\Closure\ClosureToArrowFunctionRector;
use Rector\Set\ValueObject\SetList;

return static function (RectorConfig $rectorConfig): void {
    $rectorConfig->paths([
        __DIR__ . '/src',
        __DIR__ . '/tests',
    ]);

    // Define what rule sets will be applied
    $rectorConfig->import(SetList::PHP_74);

    $rectorConfig->importNames();
    $rectorConfig->importShortClasses();

    $services = $rectorConfig->services();
    $services->set(ClosureToArrowFunctionRector::class);
};
